using System.Text.Json.Serialization;

namespace File_Folder_Helper.Models;

public record MarkdownFile(string File,
                           string Directory,
                           string FileName,
                           string FileNameWithoutExtension,
                           string Extension,
                           DateTime CreationDateTime,
                           DateTime LastWriteDateTime,
                           LineNumber LineNumber,
                           string Type,
                           string H1);

[JsonSourceGenerationOptions(WriteIndented = true)]
[JsonSerializable(typeof(MarkdownFile))]
internal partial class MarkdownFileSourceGenerationContext : JsonSerializerContext
{
}

[JsonSourceGenerationOptions(WriteIndented = true)]
[JsonSerializable(typeof(MarkdownFile[]))]
internal partial class MarkdownFileCollectionSourceGenerationContext : JsonSerializerContext
{
}